package com.tencent.c.a.a;

import android.content.Context;
import android.telephony.TelephonyManager;
import com.tencent.matrix.trace.core.AppMethodBeat;

final class b {
    static a cbd;
    Integer cbe = null;
    String cbf = null;

    private static synchronized a aF(Context context) {
        a aVar;
        synchronized (b.class) {
            AppMethodBeat.i(125745);
            if (cbd == null) {
                cbd = new a(context.getApplicationContext(), (byte) 0);
            }
            aVar = cbd;
            AppMethodBeat.o(125745);
        }
        return aVar;
    }

    public b(Context context) {
        AppMethodBeat.i(125746);
        try {
            aF(context);
            TelephonyManager telephonyManager = (TelephonyManager) context.getSystemService("phone");
            if (telephonyManager != null) {
                this.cbe = Integer.valueOf(telephonyManager.getNetworkType());
            }
            this.cbf = s.aP(context);
            AppMethodBeat.o(125746);
        } catch (Throwable th) {
            s.zY();
            AppMethodBeat.o(125746);
        }
    }
}
